<?php
/**
 *
 * @category        snippets
 * @package         socialBaker
 * @author          Ruud Eisinga - https://www.dev4me.com/modules-snippets/opensource/socialbaker/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8+
 * @version         2.10
 * @lastmodified    Date: 2018-11-20
 *
 */
/* -------------------------------------------------------- */

/*
 * History
 * 
 * Version 1.0 - initial release
 * Version 1.1 - added follow buttons
 * Version 1.2 - added shareBaker($shares) function.
 *             - now finds correct pagetitle for News and Bakery pages
 * Version 2.0 - added openGraph($shorturl) function.
 * Version 2.1 - added support for topics.
 * Version 2.2 - added support for newsposts ( uses /media/posts/{post_id}.jpg )
 * Version 2.3 - added support for canonical link
 * Version 2.4 - added support for oneforall (including renamed versions)
			   - added opengGraph($shorturl, $show_title) (show_title generates the normal <title> tag)
 * Version 2.5 - added share by email 
 * Version 2.6 - Bugfix, 2.5 was based on a wrong version
 * Version 2.7 - Bugfix, bakery pages location
 * Version 2.8 - Bugfix, fix small notices and warnings
 * Version 2.9 - Improved finding bakery and oneforall links and images
 * Version 2.10 - htmlspecialcars on title and description fields
 *				- added seo_page_head()
 * 				- added bakery product rich snippets
 * 
 */

// Must include code to stop this file being accessed directly
if(!defined('WB_PATH')) {
		die('Access denied!!');
}

$module_directory = 'socialbaker';
$module_name = 'Socialmedia made easy';
$module_function = 'snippet';
$module_version = '2.10';
$module_platform = '2.8.x';
$module_author = 'Ruud / Dev4me';
$module_license = 'GNU General Public License';
$module_description = 'This snippet gives a handy function for adding social media in your template.';
?>